Subject: RE: [Simple] -05 MESSAGE and Expires header

From: Tan Ya-Ching ICM N PG U ID A 1 <[email-masked]>
Date: Tue, 16 Jul 2002 14:54:02 +0200

Vijay,

It is stated in RFC 3261 section 20.19 Expires that :
"The precise meaning of this (header) is method dependant".

The use of the Expires header in MESSAGE is as it is defined in -05. It has
only one meaning, so there is no overloading.

Regards,
Ya-Ching

---

From: "Vijay K. Gurbani" <[email-masked]>
Date: Tue, 16 Jul 2002 08:04:15 -0500

> "The precise meaning of this (header) is method dependant".

Agreed.

> only one meaning, so there is no overloading.

That is debatable; good thing about ASCII protocols is that they are
self describing.  Thus, having a "Priority: Urgent" is far more
preferable to overloading "Expires: 0" to mean immediate handling.
"Priority: Urgent" in this case makes it far more easy to figure
out what is going on.

- vijay

---

From: Ben Campbell <[email-masked]>
Date: Tue, 16 Jul 2002 08:26:00 -0500

> "Priority: Urgent" in this case makes it far more easy to figure

I do not have strong feelings on this one way or another--either 
approach works for me. I will bow to the will of the majority. Anyone 
else have comments?

---

From: Bobby Sardana <[email-masked]>
Date: Tue, 16 Jul 2002 09:58:17 -0700

I'll cast my vote for the Priority header. Expires: 0 somehow implies that
the message needs to be dropped.

regards,

Bobby Sardana.
[email-masked]

Ben Campbell wrote:

> _______________________________________________
> simple mailing list
> [email-masked]
> http://mailman.dynamicsoft.com/mailman/listinfo/simple

--
___________________________

Bobby Sardana |  SEVEN
Software Engineer, Engineering
___________________________

901 Marshall St.
Redwood City, CA 94063
650.381.2535 (v)
650.216.6455 (f)
[email-masked]
www.seven.com

---

From: Michael Hammer <[email-masked]>
Date: Tue, 16 Jul 2002 13:39:44 -0400

Is it possible to deliver a message with an indication that it is 
expired/stale?

Mike

At 09:58 AM 7/16/2002 -0700, Bobby Sardana wrote:
>><http://mailman.dynamicsoft.com/mailman/listinfo/simple>http://mailman.dynamicsoft.com/mailman/listinfo/simple
>
>--

---

From: Bobby Sardana <[email-masked]>
Date: Tue, 16 Jul 2002 10:43:33 -0700

Expires:0 appears to provide the following semantics:

a. The message needs to be dropped (stale?)
b. The message does not have an explicit expiration (infinite)

> Is it possible to deliver a message with an indication that it is

An erroneous implementation might. Why introduce the ambiguity.

regards,

Bobby Sardana.
[email-masked]

Bobby Sardana |  SEVEN

901 Marshall St.
Redwood City, CA 94063
650.381.2535 (v)
650.216.6455 (f)
[email-masked]
www.seven.com

---

From: Michael Hammer <[email-masked]>
Date: Tue, 16 Jul 2002 14:26:25 -0400

Bobby,

I vaguely recall a prior discussion on the possibility of stale 
messages.  Not trying to propose anything, just wanted to be sure Expires: 
0 does not have more than one semantic associated.

Mike

At 10:43 AM 7/16/2002 -0700, Bobby Sardana wrote:
>> >><<http://mailman.dynamicsoft.com/mailman/listinfo/simple>http://mailman 
>> .dynamicsoft.com/mailman/listinfo/simple>http://mailman.dynamicsoft.com/mailman/listinfo/simple 
>>
>> >
>> >--

---

From: Ben Campbell <[email-masked]>
Date: Tue, 16 Jul 2002 18:23:55 -0500

So, for all that have commented on this thread, is the description of 
Expires in RFC 3261 sufficient? If so, we can fix this by simply 
dropping the sentence about "Expires:0".

Or do you think the MESSAGE draft needs to contain additional language 
concerning "Priority"?

Bobby Sardana wrote:
> I'll cast my vote for the Priority header. Expires: 0 somehow implies 
> that the message needs to be dropped.
> 
> regards,
> 
> Bobby Sardana.
> [email-masked]
> 
> Ben Campbell wrote:
> 
>> Vijay K. Gurbani wrote:

---

From: Sean Olson <[email-masked]>
Date: Tue, 16 Jul 2002 16:54:15 -0700 (PDT)

Which are we trying to convey:

  1) The message expires on reception
  2) This is an urgent message

(1) seems to be solved by Expires:
(2) seems to be solved by Priority

/sean

--- Ben Campbell <[email-masked]> wrote:
> >> >> The use of the Expires header in MESSAGE is as
> it is defined in -05.
> >> >> It has

__________________________________________________
Do You Yahoo!?
Yahoo! Autos - Get free new car price quotes
http://autos.yahoo.com